"""
Script for automated generation of fixtures for poem_cache.
"""
import sys, os

from django.core import serializers

from poem.poem_cache.models import *
from atp.models import *

FIXTURES = { 'metric_set.json': MetricSet.objects.all(),
             'expressions.json': Expression.objects.all(),
             'extensions.json': Extension.objects.all(),
             'groups.json': Group.objects.all(),
             'profiles.json': Profile.objects.all(),
             'group_type.json': GroupType.objects.all(),
             'fqan.json': Fqan.objects.all(),
             'service_type_flavour.json': ServiceTypeFlavour.objects.all(),
             'service_type.json': ServiceType.objects.all(),
             'metric.json': Metric.objects.all(),
             'vo.json': Vo.objects.all()
}

def create_fixture(queryset, out):
    object_list = list(queryset)
    serializers.serialize('json', object_list, stream=out)
    
if __name__ == '__main__':
    for fixture in FIXTURES:
        fileh = open(os.path.join(sys.argv[1], fixture), 'w')
        print fileh.name
        qs = FIXTURES[fixture]
        create_fixture(qs, fileh)
        fileh.close()    