drop table if exists poem_sync_profile_metricinstances;
drop table if exists poem_sync_metricinstance;

CREATE TABLE `poem_sync_metricinstance` (
    `id` integer AUTO_INCREMENT NOT NULL PRIMARY KEY,
    `metric_id` integer NOT NULL,
    `atp_service_type_flavour_id` integer NOT NULL,
    `fqan_id` integer,
    `atp_vo_id` integer NOT NULL,
    UNIQUE (`metric_id`, `atp_service_type_flavour_id`, `atp_vo_id`, `fqan_id`)
)
;
ALTER TABLE `poem_sync_metricinstance` ADD CONSTRAINT `atp_vo_id_refs_id_aebfee19` FOREIGN KEY (`atp_vo_id`) REFERENCES `vo` (`id`);
ALTER TABLE `poem_sync_metricinstance` ADD CONSTRAINT `fqan_id_refs_id_ecd9bb7a` FOREIGN KEY (`fqan_id`) REFERENCES `poem_sync_fqan` (`id`);
ALTER TABLE `poem_sync_metricinstance` ADD CONSTRAINT `atp_service_type_flavour_id_refs_id_8963ff94` FOREIGN KEY (`atp_service_type_flavour_id`) REFERENCES `service_type_flavour` (`id`);
ALTER TABLE `poem_sync_metricinstance` ADD CONSTRAINT `metric_id_refs_id_71d13a46` FOREIGN KEY (`metric_id`) REFERENCES `poem_sync_metric` (`id`);

CREATE TABLE `poem_sync_p_m_instances` (
    `id` integer AUTO_INCREMENT NOT NULL PRIMARY KEY,
    `profile_id` integer NOT NULL,
    `metricinstance_id` integer NOT NULL,
    UNIQUE (`profile_id`, `metricinstance_id`)
)
;
ALTER TABLE `poem_sync_p_m_instances` ADD CONSTRAINT `metricinstance_id_refs_id_628f05de` FOREIGN KEY (`metricinstance_id`) REFERENCES `poem_sync_metricinstance` (`id`);
ALTER TABLE `poem_sync_p_m_instances` ADD CONSTRAINT `profile_id_refs_id_944bae5f` FOREIGN KEY (`profile_id`) REFERENCES `poem_sync_profile` (`id`);

ALTER TABLE `poem_sync_extension` ENGINE=INNODB;
ALTER TABLE `poem_sync_expression` ENGINE=INNODB;
ALTER TABLE `poem_sync_fqan` ENGINE=INNODB;
ALTER TABLE `poem_sync_metric` ENGINE=INNODB;
ALTER TABLE `poem_sync_metricinstance` ENGINE=INNODB;
ALTER TABLE `poem_sync_namespace` ENGINE=INNODB;
ALTER TABLE `poem_sync_profile_extensions` ENGINE=INNODB;
ALTER TABLE `poem_sync_profile_atp_groups` ENGINE=INNODB;
ALTER TABLE `poem_sync_p_m_instances` ENGINE=INNODB;
ALTER TABLE `poem_sync_profile` ENGINE=INNODB;

INSERT INTO schema_details(ver,creation_date,remarks,db_name) VALUES('1.2', NOW(), 'Version 1.2 of the schema', 'poem_sync');
COMMIT;
