DROP TABLE "POEM_SYNC_PROFILE_METRICINC26D" ;
DROP SEQUENCE "POEM_SYNC_PROFILE_METRI6ED9_SQ";

DROP TABLE "POEM_SYNC_METRICINSTANCE" ;
DROP SEQUENCE "POEM_SYNC_METRICINSTANCE_SQ";

CREATE TABLE "POEM_SYNC_METRICINSTANCE" (
    "ID" NUMBER(11) NOT NULL PRIMARY KEY,
    "METRIC_ID" NUMBER(11) NOT NULL REFERENCES "POEM_SYNC_METRIC" ("ID") DEFERRABLE INITIALLY DEFERRED,
    "ATP_SERVICE_TYPE_FLAVOUR_ID" NUMBER(11) NOT NULL REFERENCES "SERVICE_TYPE_FLAVOUR" ("ID") DEFERRABLE INITIALLY DEFERRED,
    "FQAN_ID" NUMBER(11) REFERENCES "POEM_SYNC_FQAN" ("ID") DEFERRABLE INITIALLY DEFERRED,
    "ATP_VO_ID" NUMBER(11) NOT NULL REFERENCES "VO" ("ID") DEFERRABLE INITIALLY DEFERRED,
    UNIQUE ("METRIC_ID", "ATP_SERVICE_TYPE_FLAVOUR_ID", "FQAN_ID", "ATP_VO_ID")
)
;

DECLARE
    i INTEGER;
BEGIN
    SELECT COUNT(*) INTO i FROM USER_CATALOG
        WHERE TABLE_NAME = 'POEM_SYNC_METRICINSTANCE_SQ' AND TABLE_TYPE = 'SEQUENCE';
    IF i = 0 THEN
        EXECUTE IMMEDIATE 'CREATE SEQUENCE "POEM_SYNC_METRICINSTANCE_SQ"';
    END IF;
END;
/

CREATE OR REPLACE TRIGGER "POEM_SYNC_METRICINSTANCE_TR"
BEFORE INSERT ON "POEM_SYNC_METRICINSTANCE"
FOR EACH ROW
WHEN (new."ID" IS NULL)
    BEGIN
        SELECT "POEM_SYNC_METRICINSTANCE_SQ".nextval
        INTO :new."ID" FROM dual;
    END;
/

CREATE INDEX "POEM_SYNC_METRICINSTANCE_M6DF5" ON "POEM_SYNC_METRICINSTANCE" ("METRIC_ID");
CREATE INDEX "POEM_SYNC_METRICINSTANCE_AAC21" ON "POEM_SYNC_METRICINSTANCE" ("ATP_SERVICE_TYPE_FLAVOUR_ID");
CREATE INDEX "POEM_SYNC_METRICINSTANCE_F7BB1" ON "POEM_SYNC_METRICINSTANCE" ("FQAN_ID");
CREATE INDEX "POEM_SYNC_METRICINSTANCE_F7BB2" ON "POEM_SYNC_METRICINSTANCE" ("ATP_VO_ID");

CREATE TABLE "POEM_SYNC_P_M_INSTANCES" (
    "ID" NUMBER(11) NOT NULL PRIMARY KEY,
    "PROFILE_ID" NUMBER(11) NOT NULL REFERENCES "POEM_SYNC_PROFILE" ("ID") DEFERRABLE INITIALLY DEFERRED,
    "METRICINSTANCE_ID" NUMBER(11) NOT NULL REFERENCES "POEM_SYNC_METRICINSTANCE" ("ID") DEFERRABLE INITIALLY DEFERRED,
    UNIQUE ("PROFILE_ID", "METRICINSTANCE_ID")
)
;

DECLARE
    i INTEGER;
BEGIN
    SELECT COUNT(*) INTO i FROM USER_CATALOG
        WHERE TABLE_NAME = 'POEM_SYNC_P_M_INSTANCES_SQ' AND TABLE_TYPE = 'SEQUENCE';
    IF i = 0 THEN
        EXECUTE IMMEDIATE 'CREATE SEQUENCE "POEM_SYNC_P_M_INSTANCES_SQ"';
    END IF;
END;
/

CREATE OR REPLACE TRIGGER "POEM_SYNC_P_M_INSTANCES_TR"
BEFORE INSERT ON "POEM_SYNC_P_M_INSTANCES"
FOR EACH ROW
WHEN (new."ID" IS NULL)
    BEGIN
        SELECT "POEM_SYNC_P_M_INSTANCES_SQ".nextval
        INTO :new."ID" FROM dual;
    END;
/

ALTER TABLE "POEM_SYNC_PROFILE" ADD CONSTRAINT "ATP_VO_ID_REFS_ID_6B752778" FOREIGN KEY ("ATP_VO_ID") REFERENCES "VO" ("ID") DEFERRABLE INITIALLY DEFERRED;


INSERT INTO schema_details(ver,creation_date,remarks,db_name) VALUES('1.2', sysdate, 'Version 1.2 of the schema', 'poem_sync');
COMMIT;
