CREATE TABLE "POEM_SYNC_METRICMAPPING" (
    "ID" NUMBER(11) NOT NULL PRIMARY KEY,
    "NEW_METRIC" NVARCHAR2(200),
    "OLD_METRIC" NVARCHAR2(200),
    UNIQUE ("NEW_METRIC", "OLD_METRIC")
)
;

DECLARE
    i INTEGER;
BEGIN
    SELECT COUNT(*) INTO i FROM USER_CATALOG
        WHERE TABLE_NAME = 'POEM_SYNC_METRICMAPPING_SQ' AND TABLE_TYPE = 'SEQUENCE';
    IF i = 0 THEN
        EXECUTE IMMEDIATE 'CREATE SEQUENCE "POEM_SYNC_METRICMAPPING_SQ"';
    END IF;
END;
/

CREATE OR REPLACE TRIGGER "POEM_SYNC_METRICMAPPING_TR"
BEFORE INSERT ON "POEM_SYNC_METRICMAPPING"
FOR EACH ROW
WHEN (new."ID" IS NULL)
    BEGIN
        SELECT "POEM_SYNC_METRICMAPPING_SQ".nextval
        INTO :new."ID" FROM dual;
    END;
/

INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES
    ('emi.cream.CREAMCE-DirectJobSubmit', 'org.sam.CREAMCE-DirectJobSubmit');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES
    ('emi.cream.CREAMCE-JobSubmit','org.sam.CREAMCE-JobSubmit');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES
    ('emi.wms.WMS-JobSubmit','org.sam.WMS-JobSubmit');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES
	('emi.wn.WN-Bi','org.sam.WN-Bi');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES
	('emi.wn.WN-Csh','org.sam.WN-Csh');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES
	('emi.wn.WN-SoftVer','org.sam.WN-SoftVer');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES
	('emi.cream.glexec.CREAMCE-JobSubmit', 'org.sam.glexec.CE-JobSubmit');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES
	('emi.cream.glexec.WN-gLExec','org.sam.glexec.WN-gLExec');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES
	('emi.ce.CREAMCE-JobSubmit','org.sam.CE-JobSubmit');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES 
    ('org.nordugrid.ARC-CE-ARIS','org.arc.ARC-STATUS');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES 
    ('org.nordugrid.ARC-CE-IGTF','org.arc.CA-VERSION');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES 
    ('org.nordugrid.ARC-CE-sw-csh','org.arc.csh');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES 
    ('org.nordugrid.ARC-CE-sw-gcc','org.arc.gcc');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES 
    ('org.nordugrid.ARC-CE-sw-perl','org.arc.perl');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES 
    ('org.nordugrid.ARC-CE-sw-python','org.arc.python');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES 
    ('org.nordugrid.ARC-CE-result','org.arc.Jobsubmit');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES 
    ('org.nordugrid.ARC-CE-lfc','org.arc.LFC');
INSERT INTO "POEM_SYNC_METRICMAPPING" (new_metric, old_metric) VALUES 
    ('org.nordugrid.ARC-CE-srm','org.arc.SRM');

INSERT INTO schema_details(ver,creation_date,remarks,db_name) VALUES('1.4', sysdate, 'Version 1.4 of the schema', 'poem_sync');

COMMIT: